Package ch.qos.logback.classic.boolex

# Class JaninoEventEvaluator

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.boolex.EventEvaluatorBase<E>
ch.qos.logback.core.boolex.JaninoEventEvaluatorBase<ILoggingEvent>
ch.qos.logback.classic.boolex.JaninoEventEvaluator

All Implemented Interfaces:
  `EventEvaluator<ILoggingEvent>`, `ContextAware`, `LifeCycle`

public class JaninoEventEvaluator extends JaninoEventEvaluatorBase<ILoggingEvent>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<String>`
`DEFAULT_PARAM_NAME_LIST`
`static final List<Class>`
`DEFAULT_PARAM_TYPE_LIST`
`static final String`
`IMPORT_LEVEL`

### Fields inherited from class ch.qos.logback.core.boolex.JaninoEventEvaluatorBase

`ERROR_THRESHOLD, matcherList`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`JaninoEventEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDecoratedExpression()`
`protected String[]`
`getParameterNames()`
`protected Class[]`
`getParameterTypes()`
`protected Object[]`
`getParameterValues(ILoggingEvent loggingEvent)`

### Methods inherited from class ch.qos.logback.core.boolex.JaninoEventEvaluatorBase

`addMatcher, evaluate, getExpression, getMatcherList, setExpression, start`

### Methods inherited from class ch.qos.logback.core.boolex.EventEvaluatorBase

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Field Details

### IMPORT_LEVEL

public static final String IMPORT_LEVEL

See Also:
  - Constant Field Values

### DEFAULT_PARAM_NAME_LIST

public static final List<String> DEFAULT_PARAM_NAME_LIST

### DEFAULT_PARAM_TYPE_LIST

public static final List<Class> DEFAULT_PARAM_TYPE_LIST

## Constructor Details

### JaninoEventEvaluator

public JaninoEventEvaluator()

## Method Details

### getDecoratedExpression

protected String getDecoratedExpression()

Specified by:
  `getDecoratedExpression` in class `JaninoEventEvaluatorBase<ILoggingEvent>`

### getParameterNames

protected String[] getParameterNames()

Specified by:
  `getParameterNames` in class `JaninoEventEvaluatorBase<ILoggingEvent>`

### getParameterTypes

protected Class[] getParameterTypes()

Specified by:
  `getParameterTypes` in class `JaninoEventEvaluatorBase<ILoggingEvent>`

### getParameterValues

protected Object[] getParameterValues(ILoggingEvent loggingEvent)

Specified by:
  `getParameterValues` in class `JaninoEventEvaluatorBase<ILoggingEvent>`